#ifndef __CLIENT_INTERFACE__
#define __CLIENT_INTERFACE__

#pragma once

// {E6B6E4AE-DB4A-4636-93BC-772BF1E23A03}
static const GUID IID_Client =
{ 0xe6b6e4ae, 0xdb4a, 0x4636, { 0x93, 0xbc, 0x77, 0x2b, 0xf1, 0xe2, 0x3a, 0x3 } };

__interface IClient:public IUnknown
{
	// Á¬½Ó·þÎñÆ÷;
	virtual bool Connect(LPCTSTR lpServerAddr, DWORD dwPort) = 0;
	virtual void DisConnect() = 0;
	virtual bool ReConnect() = 0;
};

#endif